Bug 142221 - FILEOPEN PPTX Slide header-footer settings imported incorrectly
Summary: FILEOPEN PPTX Slide header-footer settings imported incorrectly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Sarper Akdemir
URL:
Whiteboard: target:7.3.0
Keywords: filter:pptx
Depends on:
Blocks: PPTX-MasterSlide
  Show dependency treegraph
 
Reported: 2021-05-11 17:12 UTC by NISZ LibreOffice Team
Modified: 2021-10-23 15:55 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from PowerPoint (38.48 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2021-05-11 17:12 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in PowerPoint and Impress (92.73 KB, image/png)
2021-05-11 17:12 UTC, NISZ LibreOffice Team
Details
The example file in PP and current nightly (117.34 KB, image/png)
2021-06-22 06:26 UTC, NISZ LibreOffice Team
Details
The example file in PP and current nightly (107.95 KB, image/png)
2021-07-21 07:17 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-05-11 17:12:17 UTC
Created attachment 171889 [details]
Example file from PowerPoint

Attached PP made file contains slide level header-footer settings, with 3 options enabled and “Don’t show on title slide” disabled.
When opened in Impress the 3 options are disabled, “Don’t show on title slide” is enabled in the Header and footer dialog.
Despite this, text boxes appear at the bottom of each slides with the date and time, slide number and footer text set in PowerPoint.

Steps to reproduce:
    1. Open attached file in Impress
    2. Go to Insert – Header and Footer

Actual results:
The settings on the Header and Footer dialogs Slides tab are disabled, except for Do not show on the first slide, which is enabled.

Expected results:
The Data and time, Footer, Slide number checkboxes should be enabled, with the date and time format set in PP, and the static footer text too.
Do not show on the first slide should be disabled.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: d7f734db2c078ced3ce08ad58cd816a79abe3bcf
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Also happens in 7.0, 6.0, 5.0, 4.0
But not yet in 3.6: there were no textboxes at the bottom of the slides; yet the Header and Footer dialogs Slides tab looked the same as today.
Comment 1 NISZ LibreOffice Team 2021-05-11 17:12:46 UTC
Created attachment 171890 [details]
Screenshot of the original document side by side in PowerPoint and Impress
Comment 2 Xisco Faulí 2021-05-31 14:24:54 UTC
Reproduced in

Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: f49e5902a3737c02fabf5bec23243ccb126426c4
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 3 NISZ LibreOffice Team 2021-06-22 06:26:20 UTC
Created attachment 173076 [details]
The example file in PP and current nightly

Looks much better after the patches in bug 59323

Only missing thing is the import of date format. 

Originally it's "dayname, YYYY. monthname DD." but in Impress it's YYYY.MM.DD.

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 2a7e64da7f385de8dbba1802530e251cf29259fb
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL
Comment 4 NISZ LibreOffice Team 2021-06-22 07:22:14 UTC
@Sarper Thanks for your work in this area!
I thought you would be interested in solving the remaining problem in comment #3
Comment 5 Sarper Akdemir 2021-06-22 15:55:00 UTC
Hey NISZ LibreOffice Team, yeah I have a patch that I will be sending which addresses problem in comment #3 soon :).

But AFAIK that problem is an Impress wide datetime field import problem (meaning it's not only for datetime footers, any datetime textfield imported has that problem)
Comment 6 Commit Notification 2021-07-19 14:48:32 UTC
Sarper Akdemir committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7ec4a0872d16eb20d790eb8079ba538898fd2ff6

tdf#59323 tdf#142221: fix pptx datetime import export format

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 NISZ LibreOffice Team 2021-07-21 07:17:01 UTC
Created attachment 173723 [details]
The example file in PP and current nightly

Looks much better in todays nightly:

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 0cda081c9aa3b3dcb363f97bac60c845ce9a13e0
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL

The date formats are matched to something "close enough" (in this case day name is after the date, not before) - might be that we just need to add some more formats to this list of date formats.

But I think that's a separate issue and this fileopen problem can be considered done. Many thanks!